
import oracle.jsp.runtime.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import oracle.jsp.el.*;
import javax.el.*;


public class _stockLevel_jspx extends com.orionserver.http.OrionHttpJspPage {


  // ** Begin Declarations


  // ** End Declarations

  public void _jspService(HttpServletRequest request, HttpServletResponse response) throws java.io.IOException, ServletException {

    response.setContentType( "text/html;charset=windows-1252");
    /* set up the intrinsic variables using the pageContext goober:
    ** session = HttpSession
    ** application = ServletContext
    ** out = JspWriter
    ** page = this
    ** config = ServletConfig
    ** all session/app beans declared in globals.jsa
    */
    PageContext pageContext = JspFactory.getDefaultFactory().getPageContext( this, request, response, null, true, JspWriter.DEFAULT_BUFFER, true);
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    int __jsp_tag_starteval;
    ServletContext application = pageContext.getServletContext();
    JspWriter out = pageContext.getOut();
    _stockLevel_jspx page = this;
    ServletConfig config = pageContext.getServletConfig();

    try {
      // compile time tag reuse - begin
      javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags = new javax.servlet.jsp.tagext.JspTag[27];
      // usage : com.sun.faces.taglib.jsf_core.ViewTag
      com.sun.faces.taglib.jsf_core.ViewTag __jsp_tag_ctru0 = (com.sun.faces.taglib.jsf_core.ViewTag) OracleJspRuntime.getTagHandler(pageContext, com.sun.faces.taglib.jsf_core.ViewTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag
      oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag
      oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag __jsp_tag_ctru2 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag
      oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag var value rows inlineStyle emptyText fetchSize autoHeightRows
      oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag sortProperty headerText sortable
      oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru5 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag value
      oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag sortProperty headerText sortable
      oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag value
      oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru8 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag groupingUsed pattern
      oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag __jsp_tag_ctru9 = (oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag sortProperty width headerText sortable
      oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru10 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag gaugeType value imageHeight imageWidth maxValue
      oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11 = (oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag
      oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag id thresholdMaxValue
      oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag id
      oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru14 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag
      oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag __jsp_tag_ctru15 = (oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag scaleFactor
      oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag position
      oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag __jsp_tag_ctru17 = (oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag sortProperty headerText sortable
      oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru18 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag value
      oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru19 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag sortProperty headerText sortable
      oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru20 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag value
      oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru21 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag sortProperty headerText sortable
      oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru22 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag value
      oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru23 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag sortProperty headerText sortable
      oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru24 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag value
      oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru25 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag action text
      oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru26 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag.class, "compiletime");
      // compile tag reuse - end


      if (__jsp_tag_ctru0_helper_1(pageContext, __ojsp_classicTags, __jsp_tag_ctru0, __jsp_tag_ctru1, __jsp_tag_ctru2, __jsp_tag_ctru3, __jsp_tag_ctru4, __jsp_tag_ctru5, __jsp_tag_ctru6, __jsp_tag_ctru7, __jsp_tag_ctru8, __jsp_tag_ctru9, __jsp_tag_ctru10, __jsp_tag_ctru11, __jsp_tag_ctru12, __jsp_tag_ctru13, __jsp_tag_ctru13, __jsp_tag_ctru14, __jsp_tag_ctru15, __jsp_tag_ctru16, __jsp_tag_ctru17, __jsp_tag_ctru16, __jsp_tag_ctru18, __jsp_tag_ctru19, __jsp_tag_ctru20, __jsp_tag_ctru21, __jsp_tag_ctru22, __jsp_tag_ctru23, __jsp_tag_ctru24, __jsp_tag_ctru25, __jsp_tag_ctru26))
        return;

    }
    catch (java.lang.Throwable e) {
      if (!(e instanceof javax.servlet.jsp.SkipPageException)){
        try {
          if (out != null) out.clear();
        }
        catch (java.lang.Exception clearException) {
        }
        pageContext.handlePageException(e);
      }
    }
    finally {
      OracleJspRuntime.extraHandlePCFinally(pageContext, true);
      JspFactory.getDefaultFactory().releasePageContext(pageContext);
    }

  }
    
  private boolean __jsp_tag_ctru0_helper_1(PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    com.sun.faces.taglib.jsf_core.ViewTag __jsp_tag_ctru0 = (com.sun.faces.taglib.jsf_core.ViewTag) tags[0];
    oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11 = (oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag) tags[11];
    oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag __jsp_tag_ctru17 = (oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag) tags[18];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag) tags[12];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[13];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru14 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[15];
    oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag __jsp_tag_ctru15 = (oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag) tags[16];
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[17];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag) tags[1];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag) tags[3];
    oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag __jsp_tag_ctru9 = (oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag) tags[9];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru10 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[10];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru18 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[20];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru20 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[22];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru22 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[24];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru24 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[26];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru5 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[5];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[7];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag) tags[4];
    oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru26 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) tags[28];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag __jsp_tag_ctru2 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag) tags[2];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru19 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[21];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru21 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[23];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru23 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[25];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru25 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[27];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[6];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru8 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[8];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru0.setPageContext(pageContext);
      __jsp_tag_ctru0.setParent(null);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru0).setJspId("__jsp_tag_ctru0");
      __jsp_tag_starteval=__jsp_tag_ctru0.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru0,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru1_helper_2(__jsp_tag_ctru0, pageContext, __ojsp_classicTags, __jsp_tag_ctru1, __jsp_tag_ctru2, __jsp_tag_ctru3, __jsp_tag_ctru4, __jsp_tag_ctru5, __jsp_tag_ctru6, __jsp_tag_ctru7, __jsp_tag_ctru8, __jsp_tag_ctru9, __jsp_tag_ctru10, __jsp_tag_ctru11, __jsp_tag_ctru12, __jsp_tag_ctru13, __jsp_tag_ctru13, __jsp_tag_ctru14, __jsp_tag_ctru15, __jsp_tag_ctru16, __jsp_tag_ctru17, __jsp_tag_ctru16, __jsp_tag_ctru18, __jsp_tag_ctru19, __jsp_tag_ctru20, __jsp_tag_ctru21, __jsp_tag_ctru22, __jsp_tag_ctru23, __jsp_tag_ctru24, __jsp_tag_ctru25, __jsp_tag_ctru26))
            return true;
        } while (__jsp_tag_ctru0.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru0.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru1_helper_2(com.sun.faces.taglib.jsf_core.ViewTag __jsp_tag_ctru0, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11 = (oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag) tags[10];
    oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag __jsp_tag_ctru17 = (oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag) tags[17];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag) tags[11];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[12];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru14 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[14];
    oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag __jsp_tag_ctru15 = (oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag) tags[15];
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[16];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag) tags[2];
    oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag __jsp_tag_ctru9 = (oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag) tags[8];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru10 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[9];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru18 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[19];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru20 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[21];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru22 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[23];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru24 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[25];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru5 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[4];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[6];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag) tags[3];
    oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru26 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) tags[27];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag __jsp_tag_ctru2 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag) tags[1];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru19 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[20];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru21 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[22];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru23 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[24];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru25 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[26];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[5];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru8 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[7];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru1.setPageContext(pageContext);
      __jsp_tag_ctru1.setParent(__jsp_tag_ctru0);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru1).setJspId("__jsp_tag_ctru1");
      __jsp_tag_starteval=__jsp_tag_ctru1.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru1,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru2_helper_3(__jsp_tag_ctru1, pageContext, __ojsp_classicTags, __jsp_tag_ctru2))
            return true;
          if (__jsp_tag_ctru3_helper_4(__jsp_tag_ctru1, pageContext, __ojsp_classicTags, __jsp_tag_ctru3, __jsp_tag_ctru4, __jsp_tag_ctru5, __jsp_tag_ctru6, __jsp_tag_ctru7, __jsp_tag_ctru8, __jsp_tag_ctru9, __jsp_tag_ctru10, __jsp_tag_ctru11, __jsp_tag_ctru12, __jsp_tag_ctru13, __jsp_tag_ctru13, __jsp_tag_ctru14, __jsp_tag_ctru15, __jsp_tag_ctru16, __jsp_tag_ctru17, __jsp_tag_ctru16, __jsp_tag_ctru18, __jsp_tag_ctru19, __jsp_tag_ctru20, __jsp_tag_ctru21, __jsp_tag_ctru22, __jsp_tag_ctru23, __jsp_tag_ctru24, __jsp_tag_ctru25, __jsp_tag_ctru26))
            return true;
        } while (__jsp_tag_ctru1.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru1.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru2_helper_3(oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag __jsp_tag_ctru2 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru2.setPageContext(pageContext);
      __jsp_tag_ctru2.setParent(__jsp_tag_ctru1);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru2).setJspId("__jsp_tag_ctru2");
      __jsp_tag_starteval=__jsp_tag_ctru2.doStartTag();
      if (__jsp_tag_ctru2.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru3_helper_4(oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11 = (oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag) tags[8];
    oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag __jsp_tag_ctru17 = (oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag) tags[15];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag) tags[9];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[10];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru14 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[12];
    oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag __jsp_tag_ctru15 = (oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag) tags[13];
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[14];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag __jsp_tag_ctru9 = (oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag) tags[6];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru10 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[7];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru18 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[17];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru20 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[19];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru22 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[21];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru24 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[23];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru5 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[2];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[4];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag) tags[1];
    oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru26 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) tags[25];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru19 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[18];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru21 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[20];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru23 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[22];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru25 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[24];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[3];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru8 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[5];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru3.setPageContext(pageContext);
      __jsp_tag_ctru3.setParent(__jsp_tag_ctru1);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru3).setJspId("__jsp_tag_ctru3");
      __jsp_tag_starteval=__jsp_tag_ctru3.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru3,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru4_helper_5(__jsp_tag_ctru3, pageContext, __ojsp_classicTags, __jsp_tag_ctru4, __jsp_tag_ctru5, __jsp_tag_ctru6, __jsp_tag_ctru7, __jsp_tag_ctru8, __jsp_tag_ctru9, __jsp_tag_ctru10, __jsp_tag_ctru11, __jsp_tag_ctru12, __jsp_tag_ctru13, __jsp_tag_ctru13, __jsp_tag_ctru14, __jsp_tag_ctru15, __jsp_tag_ctru16, __jsp_tag_ctru17, __jsp_tag_ctru16, __jsp_tag_ctru18, __jsp_tag_ctru19, __jsp_tag_ctru20, __jsp_tag_ctru21, __jsp_tag_ctru22, __jsp_tag_ctru23, __jsp_tag_ctru24, __jsp_tag_ctru25))
            return true;
          if (__jsp_tag_ctru26_helper_6(__jsp_tag_ctru3, pageContext, __ojsp_classicTags, __jsp_tag_ctru26))
            return true;
        } while (__jsp_tag_ctru3.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru3.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru4_helper_5(oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11 = (oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag) tags[7];
    oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag __jsp_tag_ctru17 = (oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag) tags[14];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag) tags[8];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[9];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru14 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[11];
    oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag __jsp_tag_ctru15 = (oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag) tags[12];
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[13];
    oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag __jsp_tag_ctru9 = (oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag) tags[5];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru10 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[6];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru18 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[16];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru20 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[18];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru22 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[20];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru24 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[22];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru5 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[1];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[3];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru19 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[17];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru21 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[19];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru23 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[21];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru25 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[23];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[2];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru8 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[4];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru4.setPageContext(pageContext);
      __jsp_tag_ctru4.setParent(__jsp_tag_ctru3);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru4).setJspId("__jsp_tag_ctru4");
      __jsp_tag_ctru4.setVar("row");
      __jsp_tag_ctru4.setValue(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.collectionModel}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru4.setRows(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.rangeSize}",int.class,pageContext, null));
      __jsp_tag_ctru4.setInlineStyle(OracleUnifiedELRuntime.createValueExpression("width:100%;",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru4.setEmptyText(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.viewable ? 'No rows yet.' : 'Access Denied.'}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru4.setFetchSize(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.rangeSize}",int.class,pageContext, null));
      __jsp_tag_ctru4.setAutoHeightRows(OracleUnifiedELRuntime.createValueExpression("-1",int.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru4.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru4,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru5_helper_7(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru5, __jsp_tag_ctru6))
            return true;
          if (__jsp_tag_ctru7_helper_8(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru7, __jsp_tag_ctru8, __jsp_tag_ctru9))
            return true;
          if (__jsp_tag_ctru10_helper_9(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru10, __jsp_tag_ctru11, __jsp_tag_ctru12, __jsp_tag_ctru13, __jsp_tag_ctru13, __jsp_tag_ctru14, __jsp_tag_ctru15, __jsp_tag_ctru16, __jsp_tag_ctru17, __jsp_tag_ctru16))
            return true;
          if (__jsp_tag_ctru18_helper_10(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru18, __jsp_tag_ctru19))
            return true;
          if (__jsp_tag_ctru20_helper_11(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru20, __jsp_tag_ctru21))
            return true;
          if (__jsp_tag_ctru22_helper_12(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru22, __jsp_tag_ctru23))
            return true;
          if (__jsp_tag_ctru24_helper_13(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru24, __jsp_tag_ctru25))
            return true;
        } while (__jsp_tag_ctru4.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru4.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru5_helper_7(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru5 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[1];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru5.setPageContext(pageContext);
      __jsp_tag_ctru5.setParent(__jsp_tag_ctru4);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru5).setJspId("__jsp_tag_ctru5");
      __jsp_tag_ctru5.setSortProperty(OracleUnifiedELRuntime.createValueExpression("WarehouseName",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru5.setHeaderText(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.hints.WarehouseName.label}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru5.setSortable(OracleUnifiedELRuntime.createValueExpression("false",boolean.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru5.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru5,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru6_helper_14(__jsp_tag_ctru5, pageContext, __ojsp_classicTags, __jsp_tag_ctru6))
            return true;
        } while (__jsp_tag_ctru5.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru5.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru6_helper_14(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru5, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru6.setPageContext(pageContext);
      __jsp_tag_ctru6.setParent(__jsp_tag_ctru5);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru6).setJspId("__jsp_tag_ctru6");
      __jsp_tag_ctru6.setValue(OracleUnifiedELRuntime.createValueExpression("#{row.WarehouseName}",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru6.doStartTag();
      if (__jsp_tag_ctru6.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru7_helper_8(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag __jsp_tag_ctru9 = (oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag) tags[2];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru8 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[1];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru7.setPageContext(pageContext);
      __jsp_tag_ctru7.setParent(__jsp_tag_ctru4);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru7).setJspId("__jsp_tag_ctru7");
      __jsp_tag_ctru7.setSortProperty(OracleUnifiedELRuntime.createValueExpression("ProductId",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru7.setHeaderText(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.hints.ProductId.label}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru7.setSortable(OracleUnifiedELRuntime.createValueExpression("false",boolean.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru7.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru7,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru8_helper_15(__jsp_tag_ctru7, pageContext, __ojsp_classicTags, __jsp_tag_ctru8, __jsp_tag_ctru9))
            return true;
        } while (__jsp_tag_ctru7.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru7.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru8_helper_15(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru7, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag __jsp_tag_ctru9 = (oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag) tags[1];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru8 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru8.setPageContext(pageContext);
      __jsp_tag_ctru8.setParent(__jsp_tag_ctru7);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru8).setJspId("__jsp_tag_ctru8");
      __jsp_tag_ctru8.setValue(OracleUnifiedELRuntime.createValueExpression("#{row.ProductId}",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru8.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru8,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru9_helper_16(__jsp_tag_ctru8, pageContext, __ojsp_classicTags, __jsp_tag_ctru9))
            return true;
        } while (__jsp_tag_ctru8.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru8.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru9_helper_16(oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru8, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag __jsp_tag_ctru9 = (oracle.adfinternal.view.faces.unified.taglib.convert.ConvertNumberTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru9.setPageContext(pageContext);
      __jsp_tag_ctru9.setParent(__jsp_tag_ctru8);
      __jsp_tag_ctru9.setGroupingUsed(OracleUnifiedELRuntime.createValueExpression("false",boolean.class,pageContext, null));
      __jsp_tag_ctru9.setPattern(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.hints.ProductId.format}",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru9.doStartTag();
      if (__jsp_tag_ctru9.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru10_helper_9(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11 = (oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag) tags[1];
    oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag __jsp_tag_ctru17 = (oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag) tags[8];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag) tags[2];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[3];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru14 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[5];
    oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag __jsp_tag_ctru15 = (oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag) tags[6];
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[7];
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru10 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru10.setPageContext(pageContext);
      __jsp_tag_ctru10.setParent(__jsp_tag_ctru4);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru10).setJspId("__jsp_tag_ctru10");
      __jsp_tag_ctru10.setSortProperty(OracleUnifiedELRuntime.createValueExpression("QuantityOnHand",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru10.setWidth(OracleUnifiedELRuntime.createValueExpression("200",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru10.setHeaderText(OracleUnifiedELRuntime.createValueExpression("Quantity on Hand",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru10.setSortable(OracleUnifiedELRuntime.createValueExpression("false",boolean.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru10.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru10,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru11_helper_17(__jsp_tag_ctru10, pageContext, __ojsp_classicTags, __jsp_tag_ctru11, __jsp_tag_ctru12, __jsp_tag_ctru13, __jsp_tag_ctru13, __jsp_tag_ctru14, __jsp_tag_ctru15, __jsp_tag_ctru16, __jsp_tag_ctru17, __jsp_tag_ctru16))
            return true;
        } while (__jsp_tag_ctru10.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru10.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru11_helper_17(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru10, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11 = (oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag) tags[0];
    oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag __jsp_tag_ctru17 = (oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag) tags[7];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag) tags[1];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[2];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru14 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[4];
    oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag __jsp_tag_ctru15 = (oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag) tags[5];
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[6];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru11.setPageContext(pageContext);
      __jsp_tag_ctru11.setParent(__jsp_tag_ctru10);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru11).setJspId("__jsp_tag_ctru11");
      __jsp_tag_ctru11.setGaugeType(OracleUnifiedELRuntime.createValueExpression("STATUSMETER",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru11.setValue(OracleUnifiedELRuntime.createValueExpression("#{row.QuantityOnHand}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru11.setImageHeight(OracleUnifiedELRuntime.createValueExpression("50",int.class,pageContext, null));
      __jsp_tag_ctru11.setImageWidth(OracleUnifiedELRuntime.createValueExpression("200",int.class,pageContext, null));
      __jsp_tag_ctru11.setMaxValue(OracleUnifiedELRuntime.createValueExpression("500.0",double.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru11.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru11,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru12_helper_18(__jsp_tag_ctru11, pageContext, __ojsp_classicTags, __jsp_tag_ctru12, __jsp_tag_ctru13, __jsp_tag_ctru13, __jsp_tag_ctru14))
            return true;
          if (__jsp_tag_ctru15_helper_19(__jsp_tag_ctru11, pageContext, __ojsp_classicTags, __jsp_tag_ctru15, __jsp_tag_ctru16))
            return true;
          if (__jsp_tag_ctru17_helper_20(__jsp_tag_ctru11, pageContext, __ojsp_classicTags, __jsp_tag_ctru17, __jsp_tag_ctru16))
            return true;
        } while (__jsp_tag_ctru11.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru11.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru12_helper_18(oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag) tags[0];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[1];
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru14 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[3];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru12.setPageContext(pageContext);
      __jsp_tag_ctru12.setParent(__jsp_tag_ctru11);
      __jsp_tag_starteval=__jsp_tag_ctru12.doStartTag();
      if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
      {
        do {
          if (__jsp_tag_ctru13_helper_21(__jsp_tag_ctru12, pageContext, __ojsp_classicTags, __jsp_tag_ctru13))
            return true;
          if (__jsp_tag_ctru13_helper_22(__jsp_tag_ctru12, pageContext, __ojsp_classicTags, __jsp_tag_ctru13))
            return true;
          if (__jsp_tag_ctru14_helper_23(__jsp_tag_ctru12, pageContext, __ojsp_classicTags, __jsp_tag_ctru14))
            return true;
        } while (__jsp_tag_ctru12.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
      }
      if (__jsp_tag_ctru12.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru13_helper_21(oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru13.setPageContext(pageContext);
      __jsp_tag_ctru13.setParent(__jsp_tag_ctru12);
      __jsp_tag_ctru13.setId("t0");
      __jsp_tag_ctru13.setThresholdMaxValue(OracleUnifiedELRuntime.createValueExpression("20.0",double.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru13.doStartTag();
      if (__jsp_tag_ctru13.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru13_helper_22(oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru13 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru13.setPageContext(pageContext);
      __jsp_tag_ctru13.setParent(__jsp_tag_ctru12);
      __jsp_tag_ctru13.setId("t1");
      __jsp_tag_ctru13.setThresholdMaxValue(OracleUnifiedELRuntime.createValueExpression("400.0",double.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru13.doStartTag();
      if (__jsp_tag_ctru13.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru14_helper_23(oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdSetTag __jsp_tag_ctru12, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag __jsp_tag_ctru14 = (oracle.adfinternal.view.faces.bi.taglib.gauge.ThresholdTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru14.setPageContext(pageContext);
      __jsp_tag_ctru14.setParent(__jsp_tag_ctru12);
      __jsp_tag_ctru14.setId("t2");
      __jsp_tag_starteval=__jsp_tag_ctru14.doStartTag();
      if (__jsp_tag_ctru14.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru15_helper_19(oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag __jsp_tag_ctru15 = (oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag) tags[0];
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[1];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru15.setPageContext(pageContext);
      __jsp_tag_ctru15.setParent(__jsp_tag_ctru11);
      __jsp_tag_starteval=__jsp_tag_ctru15.doStartTag();
      if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
      {
        do {
          if (__jsp_tag_ctru16_helper_24(__jsp_tag_ctru15, pageContext, __ojsp_classicTags, __jsp_tag_ctru16))
            return true;
        } while (__jsp_tag_ctru15.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
      }
      if (__jsp_tag_ctru15.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru16_helper_24(oracle.adfinternal.view.faces.bi.taglib.gauge.TickLabelTag __jsp_tag_ctru15, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru16.setPageContext(pageContext);
      __jsp_tag_ctru16.setParent(__jsp_tag_ctru15);
      __jsp_tag_ctru16.setScaleFactor(OracleUnifiedELRuntime.createValueExpression("SCALEFACTOR_NONE",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru16.doStartTag();
      if (__jsp_tag_ctru16.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru17_helper_20(oracle.adfinternal.view.faces.bi.taglib.gauge.GaugeTag __jsp_tag_ctru11, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag __jsp_tag_ctru17 = (oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag) tags[0];
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[1];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru17.setPageContext(pageContext);
      __jsp_tag_ctru17.setParent(__jsp_tag_ctru11);
      __jsp_tag_ctru17.setPosition(OracleUnifiedELRuntime.createValueExpression("LP_INSIDE_GAUGE_RIGHT",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru17.doStartTag();
      if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
      {
        do {
          if (__jsp_tag_ctru16_helper_25(__jsp_tag_ctru17, pageContext, __ojsp_classicTags, __jsp_tag_ctru16))
            return true;
        } while (__jsp_tag_ctru17.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
      }
      if (__jsp_tag_ctru17.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru16_helper_25(oracle.adfinternal.view.faces.bi.taglib.gauge.MetricLabelTag __jsp_tag_ctru17, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag __jsp_tag_ctru16 = (oracle.adfinternal.view.faces.bi.taglib.util.NumberFormatTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru16.setPageContext(pageContext);
      __jsp_tag_ctru16.setParent(__jsp_tag_ctru17);
      __jsp_tag_ctru16.setScaleFactor(OracleUnifiedELRuntime.createValueExpression("SCALEFACTOR_NONE",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru16.doStartTag();
      if (__jsp_tag_ctru16.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru18_helper_10(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru18 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru19 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[1];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru18.setPageContext(pageContext);
      __jsp_tag_ctru18.setParent(__jsp_tag_ctru4);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru18).setJspId("__jsp_tag_ctru18");
      __jsp_tag_ctru18.setSortProperty(OracleUnifiedELRuntime.createValueExpression("Address1",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru18.setHeaderText(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.hints.Address1.label}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru18.setSortable(OracleUnifiedELRuntime.createValueExpression("false",boolean.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru18.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru18,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru19_helper_26(__jsp_tag_ctru18, pageContext, __ojsp_classicTags, __jsp_tag_ctru19))
            return true;
        } while (__jsp_tag_ctru18.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru18.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru19_helper_26(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru18, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru19 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru19.setPageContext(pageContext);
      __jsp_tag_ctru19.setParent(__jsp_tag_ctru18);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru19).setJspId("__jsp_tag_ctru19");
      __jsp_tag_ctru19.setValue(OracleUnifiedELRuntime.createValueExpression("#{row.Address1}",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru19.doStartTag();
      if (__jsp_tag_ctru19.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru20_helper_11(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru20 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru21 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[1];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru20.setPageContext(pageContext);
      __jsp_tag_ctru20.setParent(__jsp_tag_ctru4);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru20).setJspId("__jsp_tag_ctru20");
      __jsp_tag_ctru20.setSortProperty(OracleUnifiedELRuntime.createValueExpression("City",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru20.setHeaderText(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.hints.City.label}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru20.setSortable(OracleUnifiedELRuntime.createValueExpression("false",boolean.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru20.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru20,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru21_helper_27(__jsp_tag_ctru20, pageContext, __ojsp_classicTags, __jsp_tag_ctru21))
            return true;
        } while (__jsp_tag_ctru20.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru20.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru21_helper_27(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru20, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru21 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru21.setPageContext(pageContext);
      __jsp_tag_ctru21.setParent(__jsp_tag_ctru20);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru21).setJspId("__jsp_tag_ctru21");
      __jsp_tag_ctru21.setValue(OracleUnifiedELRuntime.createValueExpression("#{row.City}",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru21.doStartTag();
      if (__jsp_tag_ctru21.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru22_helper_12(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru22 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru23 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[1];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru22.setPageContext(pageContext);
      __jsp_tag_ctru22.setParent(__jsp_tag_ctru4);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru22).setJspId("__jsp_tag_ctru22");
      __jsp_tag_ctru22.setSortProperty(OracleUnifiedELRuntime.createValueExpression("StateProvince",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru22.setHeaderText(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.hints.StateProvince.label}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru22.setSortable(OracleUnifiedELRuntime.createValueExpression("false",boolean.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru22.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru22,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru23_helper_28(__jsp_tag_ctru22, pageContext, __ojsp_classicTags, __jsp_tag_ctru23))
            return true;
        } while (__jsp_tag_ctru22.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru22.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru23_helper_28(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru22, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru23 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru23.setPageContext(pageContext);
      __jsp_tag_ctru23.setParent(__jsp_tag_ctru22);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru23).setJspId("__jsp_tag_ctru23");
      __jsp_tag_ctru23.setValue(OracleUnifiedELRuntime.createValueExpression("#{row.StateProvince}",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru23.doStartTag();
      if (__jsp_tag_ctru23.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru24_helper_13(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedTableTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru24 = (oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru25 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[1];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru24.setPageContext(pageContext);
      __jsp_tag_ctru24.setParent(__jsp_tag_ctru4);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru24).setJspId("__jsp_tag_ctru24");
      __jsp_tag_ctru24.setSortProperty(OracleUnifiedELRuntime.createValueExpression("PostalCode",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru24.setHeaderText(OracleUnifiedELRuntime.createValueExpression("#{bindings.WarehouseStockLevelsView1.hints.PostalCode.label}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru24.setSortable(OracleUnifiedELRuntime.createValueExpression("false",boolean.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru24.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru24,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru25_helper_29(__jsp_tag_ctru24, pageContext, __ojsp_classicTags, __jsp_tag_ctru25))
            return true;
        } while (__jsp_tag_ctru24.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru24.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru25_helper_29(oracle.adfinternal.view.faces.unified.taglib.data.UnifiedColumnTag __jsp_tag_ctru24, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag __jsp_tag_ctru25 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedOutputTextTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru25.setPageContext(pageContext);
      __jsp_tag_ctru25.setParent(__jsp_tag_ctru24);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru25).setJspId("__jsp_tag_ctru25");
      __jsp_tag_ctru25.setValue(OracleUnifiedELRuntime.createValueExpression("#{row.PostalCode}",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru25.doStartTag();
      if (__jsp_tag_ctru25.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru26_helper_6(oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru26 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru26.setPageContext(pageContext);
      __jsp_tag_ctru26.setParent(__jsp_tag_ctru3);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru26).setJspId("__jsp_tag_ctru26");
      __jsp_tag_ctru26.setAction(OracleUnifiedELRuntime.createMethodExpression("goBrowse",java.lang.String.class, new Class[] {}, pageContext, null));
      __jsp_tag_ctru26.setText(OracleUnifiedELRuntime.createValueExpression("Browse",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru26.doStartTag();
      if (__jsp_tag_ctru26.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }

}
